import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1

Rectangle{
    id: root
    height: columnA.height + units.gu(4)
    color: screenMA.pressed && !isLastItem ? "#FFDB88" : formulaView.color
    transformOrigin: Item.Bottom

    signal useAnswer(string answerToUse, string formulaData)

    Column {
        id: columnA
        spacing: units.gu(2)
        width: parent.width - units.gu(8)
        anchors.centerIn: parent

        Label {
            id: formulaLabel
            width: parent.width
            height: units.gu(13)
            font.pixelSize: units.gu(4)
            fontSizeMode: Text.Fit
            wrapMode: Text.WordWrap
            text: formula
        }

        Label {
            id: answerLabel
            width: parent.width
            height: units.gu(5)
            clip: true
            font.pixelSize: units.gu(4)
            fontSizeMode: Text.Fit
            color: "#dd4814"
            text: '= ' + answer
        }
    }

    Divider {
        visible: !isLastItem
        width: parent.width
        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }
    }

    MouseArea {
        id: screenMA
        anchors.fill: parent
        onClicked: {
            if (answer.indexOf('error') === -1)
                root.useAnswer(answer, formula_data)
        }
    }
}
